<?xml version = '1.0' encoding = 'windows-1251' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name = "copy">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
            <xsl:copy>
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:copy>
        </xsl:for-each>
    </xsl:template>


<xsl:template name = "copyc">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
        </xsl:for-each>
</xsl:template>

<xsl:template match="/lessons">
  <html>
  <body>
   <UL class="node-root">
		<xsl:apply-templates/>
  </UL>
  </body>
  </html>
</xsl:template>

<xsl:template match="/lessons/part">
    <LI class="node"><IMG class="node-img" id="img_1_1" 
    onclick="javascript: toggle('_1_1');" src="Tree_files/ExpandedNode.gif"/> <A 
    class="node-link" onclick="javascript: toggle('_1_1');"><xsl:value-of select="@name"/></A> 
    </LI>
</xsl:template>  

<xsl:template match="/lessons/lesson">
	<tr align="center">
		<td><font size="-1"><xsl:value-of select="@fullnumber"/></font></td>
		<td align="left"><font size="-1"><A target="_parent"><xsl:attribute name="href"><xsl:value-of select="@file"/></xsl:attribute>              
                   <xsl:call-template name = "copyc">
         <xsl:with-param name="what" select="."/>
         </xsl:call-template>
</A></font></td>
	</tr>
</xsl:template>


</xsl:stylesheet>