<?xml version = '1.0' encoding = 'windows-1251' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name = "copy">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
            <xsl:copy>
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:copy>
        </xsl:for-each>
    </xsl:template>


<xsl:template name = "copyc">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
        </xsl:for-each>
</xsl:template>

<xsl:template match="/lessons">
  <html>
  <body>
	<table border="1" width="100%">
		<tr align="center">
			<td><b> </b></td>
            <td><b>  </b></td>
			<td><b> </b></td>
		</tr>
		<xsl:apply-templates/>
	</table>
  </body>
  </html>
</xsl:template>

<xsl:template match="/lessons/part">
	<tr bgcolor="#BBBBBB" align="center">
		<td></td>
    	<td><b><xsl:value-of select="@name"/></b></td>
		<td><b><xsl:value-of select="@hours"/></b></td>
	</tr>
</xsl:template>  

<xsl:template match="/lessons/lesson">
	<tr align="center">
		<td><xsl:value-of select="@fullnumber"/></td>
		<td align="left"><A href="1"><xsl:attribute name="href"><xsl:value-of select="@file"/></xsl:attribute>
                   <xsl:call-template name = "copyc">
         <xsl:with-param name="what" select="."/>
         </xsl:call-template>
</A></td>
		<td><xsl:value-of select="@hours"/></td>
	</tr>
</xsl:template>


</xsl:stylesheet>