<?xml version = '1.0' encoding = 'windows-1251' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name = "copy">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
            <xsl:copy>
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
            </xsl:copy>
        </xsl:for-each>
    </xsl:template>


<xsl:template name = "copyc">
        <xsl:param name = "what"/>

        <xsl:for-each select = "$what">
                <xsl:for-each select = "*|text()|@*">
                    <xsl:call-template name = "copy">
                        <xsl:with-param name = "what" select = "." />
                    </xsl:call-template>
                </xsl:for-each>
        </xsl:for-each>
</xsl:template>

<xsl:template match="/class">
  <html>
  <body>
		<xsl:apply-templates/>
  </body>
  </html>
</xsl:template>

<xsl:template match="/class/theme">
		<P /><A href="1"><xsl:attribute name="href"><xsl:value-of select="@file"/></xsl:attribute>
                   <xsl:call-template name = "copyc">
         <xsl:with-param name="what" select="."/>
         </xsl:call-template>
</A>
</xsl:template>


</xsl:stylesheet>